System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.IList System.ComponentModel.Editor("System.Web.UI.Design.WebControls.TableRowsCollectionEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

Use this class to programmatically manage a collection of objects. This class is commonly used to add or remove rows from a control.

A control contains a collection that represents a collection of objects. Each represents an individual row in the table and contains a collection that represents a collection of objects. These objects represent the individual cells in the table. To get an individual cell, you must first get a from the collection of a control. You can then get a from the collection of the .

Encapsulates a collection of objects that represent a single row in a control. This class cannot be inherited.

- Method
  System.Int32 ``

  Use this method to add a object to the end of a .

  Appends the specified object to the end of the .

  The index of the .

  The object to add to the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use this method to insert the specified in a at the specified index.

  Adds the specified object to the at the specified index location.

  The location in the at which to add the . The object to add to the . 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use the method to append the objects from the specified array to the collection. This method is commonly used when you are constructing a table. To construct a table, first create an array of objects to represent the rows of the table. Next, use the method, passing the array as an argument, to add the objects to the collection.

  Appends the objects from the specified array to the end of the collection.

  The array containing the objects to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Use this method to remove all objects from the and set the property to 0.

  Removes all controls from the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  Use this method to copy the contents of the into the specified , starting at the specified index.

  The parameter must be a zero-based .

  Copies the items from the to the specified , starting with the specified index in the .

  A zero-based that receives the copied items from the . The first position in the specified to receive copied contents. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  Use this property to determine the number of rows in the . The property is often used when iterating through the collection to determine the upper bound.

  Gets the number of objects in the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator

  Use this method to create a implemented object that can be iterated through easily to get each item in the .

  Use the property to get the item currently pointed to in the collection.

  Use the method to move to the next item in the collection.

  Use the method to move the enumerator back to the initial position.

  The method must be called after creating a implemented object or using the method to move the enumerator to the first item in the collection. Otherwise, the item represented by the property is undefined.

  Returns a implemented object that contains all objects within the .

  A implemented object that contains all objects within the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 ``

  Use this method to determine the index of the specified in the . If the specified is not found, an index of -1 is returned.

  Returns a value that represents the index of the specified from the .

  The ordinal index position of the specified within the collection. The default is -1, which indicates that the specified has not been found.

  The object to search for in the . 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This property always returns false to indicate that the can be written to in all cases.

  Gets a value indicating whether the is read-only.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This property is derived from and is overridden to always return false.

  For more information on the property, see the property of the interface.

  Gets a value indicating whether access to the is synchronized (thread-safe).

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.WebControls.TableRow `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use this method to remove the specified from a .

  Removes the specified from the .

  The object to remove from the . 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use this method to remove a from the at the specified index.

  Removes a from the at the specified index.

  The index of the object to remove from the . 1.0.5000.0 2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  The object returned in this implementation is the itself.

  For more information on the property, see the property of the interface.

  Gets the object that can be used to synchronize access to the .

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 `` To be added.

  Typically, you should use the method to add an element to a object.

  The method is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Adds an object to the collection.

  The index at which the object was added to the collection.

- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added.

  The method is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Determines whether the specified object is contained within the collection.

  true if the object is in the collection; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 `` To be added.

  Typically, you should use the method to get the index of an element in a object.

  The method is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Searches for the specified object and returns the zero-based index of the first occurrence within the collection.

  The zero-based index of the first occurrence of the object within the collection; otherwise, -1 if the object is not in the collection.

- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added.

  Typically, you should use the method to add an element to a object.

  The method is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Inserts an object into the collection at the specified index.

  The zero-based index within the collection at which to insert the object.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to the interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added.

  Typically, you should use the method to remove an element from a object.

  The method is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Removes an object from the collection.